Package org.h2gis.functions.spatial.topography

# Class ST_TriangleContouring

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.topography.ST_TriangleContouring

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_TriangleContouring extends org.h2gis.api.DeterministicScalarFunction
Split triangle into area within the specified range values. ********************************* ANR EvalPDU IFSTTAR 11_05_2011

Author:
  Nicolas FORTIN, Judicaël PICAUT

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ISO_FIELD_NAME`
The default field name for explode count, value is [1-n]

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_TriangleContouring()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static ResultSet`
`triangleContouring(Connection connection, String tableName, org.h2.value.Value... varArgs)`
Iso contouring using Z,M attributes of geometries

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Field Details

### ISO_FIELD_NAME

public static final String ISO_FIELD_NAME
The default field name for explode count, value is [1-n]

See Also:
  - Constant Field Values

## Constructor Details

### ST_TriangleContouring

public ST_TriangleContouring()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### triangleContouring

public static ResultSet triangleContouring(Connection connection, String tableName, org.h2.value.Value... varArgs) throws SQLException
Iso contouring using Z,M attributes of geometries

Parameters:
  `connection` - Active connection
  `tableName` - Table name
  `varArgs` - Iso levels
Returns:
  Result Set
Throws:
  `SQLException`